Subject: Re: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under eshell

From: Jim Porter <[email-masked]>
Date: Thu, 3 Oct 2024 20:13:33 -0700

On 10/3/2024 7:33 PM, Jeff Kowalski wrote:
> Thanks for the replies.  I had hoped that there was indeed that change 
> in process creation, but I can live with the current implementation.
> I am currently using a shortcut "o", defined as:
> 
> ~ λ which o
> o is an alias, defined as "setsid -w gio open $*"

I'd like to come up with a better solution for this eventually; the 
hacky way to do it would be to be able to identify when a command should 
just use pipes for the I/O handles instead of PTYs. I'd looked into that 
a while back but xdg-open specifically proved a bit tricky to get right 
thanks to some Eshell shebang handling mucking things up (as I recall). 
Probably fixable given enough work though...